﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows;

namespace SimplyMessengerLibrary
{
    public class FileHelper
    {
        public int EraseAllTxtFiles()
        {
            var filelist = Directory.GetFiles(Environment.CurrentDirectory);
            foreach (string file in filelist)
            {
                if (file.EndsWith(".txt"))
                {
                    FileInfo fi = new FileInfo(file);
                    fi.Delete();
                }
            }
            return 0;
        }
        public string FileRead(string path)
        {
            try
            {
                // Création d'une instance de StreamReader pour permettre la lecture de notre fichier 
                StreamReader monStreamReader = new StreamReader(path);
                string message = monStreamReader.ReadToEnd();                
                monStreamReader.Close();
                return message;
            }
            catch (Exception ex)
            {
                // Code exécuté en cas d'exception 
                MessageBox.Show(ex.ToString());
                return null;
            }
        }

        public void FileWrite(string path,string xml)
        {
            try
            {
                // Instanciation du StreamWriter avec passage du nom du fichier 
                StreamWriter sw = new StreamWriter(path);
                // ou bien 
                // StreamWriter monStreamWriter = new StreamWriter(Server.MapPath("./") + "admin\\logs\\" + fichier); 

                //Ecriture du texte dans votre fichier 
                sw.Write(xml);

                // Fermeture du StreamWriter (Très important) 
                sw.Close();
                
            }
            catch (Exception ex)
            {
                // Code exécuté en cas d'exception 
                Console.WriteLine(ex.Message);
            }
        }
    }

    
}
