﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;

namespace SimplyMessengerLibrary
{
    public class IPHelper
    {
        /// <summary>
        /// Get the local IP Server Address (192.*.*.*)
        /// </summary>
        /// <returns>(String) IP Address</returns>
        public string getAddr()
        {
            string hn = System.Net.Dns.GetHostName();
            IPAddress[] ipadress = Dns.GetHostAddresses(hn);
            foreach (var add in ipadress)
            {
                string adr_string = add.ToString();
                if (adr_string.Substring(0, 3) == "192")
                    return adr_string.ToString();
            }
            return "127.0.0.1";
        }
    }
}
