﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace SimplyMessengerLibrary
{
    [Serializable()]
    public class Message
    {
        public enum MsgTypeEnum
        {
            Normal,
            Admin,
            Server
        }

        ;
        public enum MsgActionEnum
        {
            Login,
            Text,
            Logout,
            System
        };

        private string l_MessageText;

        public string MessageText
        {
            get
            {
                return l_MessageText;
            }
            set
            {
                l_MessageText = value;
            }
        }

        private DateTime l_Date;

        public DateTime Date
        {
            get
            {
                return l_Date;
            }
            set
            {
                l_Date = value;
            }
        }

        private String l_TColor;

        public String TColor
        {
            get
            {
                return l_TColor;
            }
            set
            {
                l_TColor = value;
            }
        }

        private string l_NickName;

        public string NickName
        {
            get
            {
                return l_NickName;
            }
            set
            {
                l_NickName = value;
            }
        }

        public Message()
        { }

        private string l_MsgType;

        public string MsgType
        {
            get
            {
                return l_MsgType;
            }
            set
            {
                l_MsgType = value;
            }
        }

        private string l_MsgAction;

        public string MsgAction
        {
            get
            {
                return l_MsgAction;
            }
            set
            {
                l_MsgAction = value;
            }
        }

        public Message(string messageText, DateTime date, string tColor, string nickName, string msgType, string msgAction)
        {
            MessageText = messageText;
            Date = date;
            TColor = tColor;
            NickName = nickName;
            MsgType = msgType;
            MsgAction = msgAction;
        }
    }
}