﻿using System;
using System.IO;
using System.Runtime.Serialization.Formatters.Soap;
using System.Xml.Serialization;

namespace SimplyMessengerLibrary
{
    public class SerializationHelper
    {
        /// <summary>
        /// Serialize an object to String
        /// </summary>
        /// <param name="fileName"></param>
        /// <param name="o"></param>
        public  void Serialization(string fileName, Message message)
        {
            XmlSerializer xml = new XmlSerializer(typeof(Message));
            TextWriter writer = new StreamWriter(fileName);
            xml.Serialize(writer, message);
            writer.Close();
        }

        /// <summary>
        /// Unserialize a string to an oject
        /// </summary>
        /// <param name="fileName"></param>
        /// <returns></returns>
        public  Message Deserialization(string fileName)
        {
            TextReader read = new StreamReader(fileName);
            XmlSerializer xml = new XmlSerializer(typeof(Message));
            Message mess = (Message)xml.Deserialize(read);
            return mess;
            //FileStream fs = new FileStream(fileName, FileMode.Open);
            //SoapFormatter sf = new SoapFormatter();
            //Object o = sf.Deserialize(fs);
            //fs.Close();
            //return o;
        }
    }
}